Create Consent Request Plus
Introduction
Account Aggregator is a decentralized data sharing system that allows regulated entities to share user data amongst each other through a consent-based user flow. This data currently contains only transactional data from the bank account. Other variables are going to be added by the AA ecosystem in the future.
To retrieve the required financial details of the user, the API will give a front-end redirectional link as well as trigger a SMS asking for consent.
API Input Guidelines
Need to pass on the following information:
- A valid mobile number.
- A valid Consent Artifact Name.
- A valid redirectional Url.
- A valid user Session Id.
Sample Curl
curl --location 'https://api-preproduction.signzy.app/api/v3/accountAggregator/consent-request-plus' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data '{
"mobileNumber": "<mobile-number>",
"consentDescription": "<description>",
"consentArtifactName": "<artifact-name>",
"userSessionId": "<session-id>",
"fip": [],
"redirectUrl": "<url-link>",
"consentDetails": {},
"callbackUrl": "<url-link>"
}'
Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION | TYPE |
|---|---|---|---|
mobileNumber | Required | Mobile number of the user | String |
consentDescription | Required | Description of the consent | String |
consentArtifactName | Required | Consent Artifact Name (Template that contains the metadata of the consent) | String |
userSessionId | Optional | The userSessionId which can be used by the FIU for tracking purpose. | String |
fip | Optional | FIPS codes are numbers which uniquely identify Financial lnstitutions which will be shown to the end customer during the Consent Approval journey | Array of String |
redirectUrl | Optional ( Required only if redirection configuration is on ) | Redirect URL after consent completion. | String |
consentDetails | Optional | Additional Details about the consent | Object |
callbackUrl | Optional | CallbackUrl provided by the user | String |
Sample Response
{
"result": {
"encryptedRequest": "testing12345",
"requestDate": "12345",
"encryptedFiuId": "abcd1234",
"ConsentHandle": "9226d064-47d1-4109-ac3b-9b7a2b01d868",
"url": "https://abcd.in/ecreq=testing12345&reqdate=12345&fi=abcd1234"
}
}
Response Parameter
PARAMETER NAME | DESCRIPTION | TYPE |
|---|---|---|
result | This holds final result parameters of the response. |  |
result.encryptedRequest |  | String |
result.requestDate |  | String |
request.encryptedFiuId |  | String |
request.ConsentHandle | consent handle id. | String |
request.url | front-end redirectional url. | String |
Callback Url Data Structure
The callbackUrl that we are passing in the request body, that can be used to view the consent-status. The consent-status will be posted into the callbackUrl and through the url one can view the status corresponding to the consent-HandleId.
The structure of data or the consent-status that will be getting posted into the callbackUrl is as follows:
{
"consentHandle": "<consent-Handle-Id>",
"consentId": "<consent-Id>",
"status": "<status>"
}Error Codes
Error Code | Description |
|---|---|
400 | Bad Request: In case the request is not as per required schema or any other case |
401 | Unauthorized: Authentication failed or user does not have permissions for requested operation. |
409 | Upstream Error/Conflict: Something wrong on vendor side. |
500 | Internal Server Error: An error occurred on the server. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].